forum-msg-id-134192-edit

Original date:2019-08-22 16:23:38 Edited by: Pirx Subject: Re: Compile broken after upgrading to Ubuntu 18.04 LTS

irv said...

Ubuntu also does not allow you to associate *.ex programs with Euphoria (eui) without a great hassle editing hidden text files and disabling another editor. Mint allows that just by right clicking, selecting properties/open with, and choosing eui. Ubuntu 18 disables the open with button. Only Ubuntu "approved" programs can be associated with your files.

Why would anyone want to associate *.ex files with eui on Linux? All you need is a shebang with a path to eui at the beginning of your script and make the script executable. Then you will be able to run your script from the file manager by double clicking on its icon. Also you will be able to run it from the terminal without calling eui and if you place it in your bin directory then you won't have to even type a full path or call it within the directory it's placed. You can also add the directory with your Euphoria scripts to PATH and there will be no need to move/copy them to your bin directory.

Gcc on Ubuntu. Well, it must have been a bug or you must have done something wrong. After updating your repositories, simple sudo apt install build-essentials should install gcc and everything required for compiling. Canonical may be doing strange things to Ubuntu, but not allowing gcc would be purely insane. :)

Not Categorized, Please Help

Search



Quick Links

User menu

Not signed in.

Misc Menu